/*
 * FixedLengthRecordReaderConfig.java
 * Copyright (C) 2008 Cyber Beans Corporation. All rights reserved.
 */
package jp.co.cybec.cb3.accessor.fileaccess.flat.fixed;

import java.util.ArrayList;
import java.util.List;

/**
 * 固定長ファイルの設定ファイル情報を保持するクラス。
 * @author Jianming Guo
 */
public class FixedLengthRecordReaderConfig {

	/** ファイルパス */
	private String filepath = null;

	/** フィール情報ドリスト */
	private List<FixedLengthRecordFieldConfig> fieldList = null;

	/** エンコード */
	private String encode = null;

	/**
	 * コンストラクタ
	 */
	public FixedLengthRecordReaderConfig() {
		// 初期化
		fieldList = new ArrayList<FixedLengthRecordFieldConfig>();
	}

	/**
	 * ファイルパスを返します。
	 * @return ファイルパス
	 */
	public String getFilepath() {
		return filepath;
	}

	/**
	 * ファイルパスを設定します。
	 * @param filepath ファイルパス
	 */
	public void setFilepath(String filepath) {
		this.filepath = filepath;
	}

	/**
	 * フィールド情報リストを返します。
	 * @return フィールド情報リスト
	 */
	public List<FixedLengthRecordFieldConfig> getFieldList() {
		return fieldList;
	}

	/**
	 * フィールド情報リストに追加します。
	 * @param field フィールド情報
	 */
	public void addField(FixedLengthRecordFieldConfig field) {
		this.fieldList.add(field);
	}

	/**
	 * エンコードを返します。
	 * @return エンコード
	 */
	public String getEncode() {
		return encode;
	}

	/**
	 * エンコードを設定します。
	 * @param encode エンコード
	 */
	public void setEncode(String encode) {
		this.encode = encode;
	}
}